Debian Bug report logs - #308713
Please remove expect-dummy from sarge

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Javier Fernández-Sanguino Peña <jfs@computer.org>

Date: Thu, 12 May 2005 00:03:07 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#308713; Package expect. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
New Bug report received and forwarded. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: submit@bugs.debian.org
Subject: expect: Dummy packages still needed?
Date: Thu, 12 May 2005 01:59:21 +0200
Package: expect
Version: 5.30.1-11

The expect source package creates a number of dummy packages that were 
targeted at potato->woody upgrades but are still available in sarge/sid. If 
there is no reason to keep these dummy packages please remove them from the 
distribution. Dummy packages include: expect5.24, expectk5.24, expect5.31 
and their -dev packages.

Regards

Javier



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#308713; Package expect. Full text and rfc822 format available.

Acknowledgement sent to Mike Markley <mike@markley.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 308713@bugs.debian.org (full text, mbox):

From: Mike Markley <mike@markley.org>
To: "Javier Fernández-Sanguino Peña" <jfs@computer.org>, 308713@bugs.debian.org
Subject: Re: Bug#308713: expect: Dummy packages still needed?
Date: Wed, 11 May 2005 17:21:54 -0700
On Thu, May 12, 2005 at 01:59:21AM +0200, Javier Fernández-Sanguino Peña <jfs@computer.org> wrote:
> The expect source package creates a number of dummy packages that were 
> targeted at potato->woody upgrades but are still available in sarge/sid. If 
> there is no reason to keep these dummy packages please remove them from the 
> distribution. Dummy packages include: expect5.24, expectk5.24, expect5.31 
> and their -dev packages.

I was under the impression that official support for upgrades is current
release - 2, so potato->sarge should be possible. If I'm misunderstanding
(or if I'm just imagining that), I'd be glad to remove the dummy
packages...

-- 
Mike Markley <mike@markley.org>



Information stored:
Bug#308713; Package expect. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 308713-quiet@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Mike Markley <mike@markley.org>
Cc: 308713-quiet@bugs.debian.org
Subject: Re: Bug#308713: expect: Dummy packages still needed?
Date: Thu, 12 May 2005 08:41:17 +0200
[Message part 1 (text/plain, inline)]
On Wed, May 11, 2005 at 05:21:54PM -0700, Mike Markley wrote:
> 
> I was under the impression that official support for upgrades is current
> release - 2, so potato->sarge should be possible. If I'm misunderstanding
> (or if I'm just imagining that), I'd be glad to remove the dummy
> packages...

Official support is for security updates, not for the upgrade path, see 
#308697. Most of the dummy packages created for potato->woody have been 
already removed and I wouldn't count on potato->sarge working, users should 
do potato->woody->sarge instead.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `expect' to `ftp.debian.org'. Request was from Mike Markley <mike@markley.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Mike Markley <mike@markley.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#308713; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Mike Markley <mike@markley.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #24 received at 308713-quiet@bugs.debian.org (full text, mbox):

From: Mike Markley <mike@markley.org>
To: "Javier Fern�ndez-Sanguino Pe�a" <jfs@computer.org>
Cc: 308713-quiet@bugs.debian.org
Subject: Re: Bug#308713: expect: Dummy packages still needed?
Date: Thu, 12 May 2005 01:13:40 -0700
reassign 308713 ftp.debian.org
retitle 308713 Please remove expect-dummy from sarge
thanks

On Thu, May 12, 2005 at 08:41:17AM +0200, Javier Fernández-Sanguino Peña <jfs@computer.org> wrote:
> Official support is for security updates, not for the upgrade path, see 
> #308697. Most of the dummy packages created for potato->woody have been 
> already removed and I wouldn't count on potato->sarge working, users should 
> do potato->woody->sarge instead.

I haven't seen that from Steve Langasek, but I'm perfectly willing to
believe you, Brendan, etc.

FTP masters, all packages built by the expect-dummy source package are
potato -> woody transition packages. They should be removed, along with
expect-dummy, from sarge.

Thanks,

-- 
Mike Markley <mike@markley.org>



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 308713-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 308713-close@bugs.debian.org
Subject: Bug#308713: fixed
Date: Thu, 12 May 2005 14:06:20 -0400
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

expect-dummy |    1:1.0-1 | source
expect5.24 |  5.30.1-12 | all
expect5.24-dev |  5.30.1-12 | all
expect5.31 |   5.31.8-8 | all
expect5.31-dev |   5.31.8-8 | all
expectk5.24 |  5.30.1-12 | all
expectk5.31 |   5.31.8-8 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 308713@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:30:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.